Subject: Re: bug#11902: Emacs 23.2: dired rename file and file is hidden - Windows 7

From: Eli Zaretskii <[email-masked]>
Date: Wed, 11 Jul 2012 19:02:20 +0300

> Date: Tue, 10 Jul 2012 13:43:15 -0400
> From: Bernard Stumpf <[email-masked]>
> 
> Running emacs 23.2 on Windows 7 Home Premium SP1 on a Toshiba Satellite 
> P740.
> 
> Doing a dired R filename newname
>    after this the Dired buffer  does not have the line with newname and 
> not filename either.
>    Typing l (= dired-do-redisplay) and the line with newname shows up. 
> Same thing by typing g (= revert-buffer)
> 
> In other words: the rename happens in the filesystem but the dired 
> buffer display is incorrect - it looses or hides the renamed item.

I couldn't reproduce this, neither with Emacs 23.2 nor with the
current version.  The directory display refreshes automatically for
me.

Does the problem happen for you with every file, on every filesystem
to which you have access?  Or just certain files (or types of files)
are prone to this?

IOW, please tell more details about the problem, as it seems to be not
trivial to reproduce.